WordPress.org

Support

Support » Plugins and Hacks » [Resolved] 4.2 "Warning: _() expects exactly 1 parameter, 2 given"

[Resolved] 4.2 "Warning: _() expects exactly 1 parameter, 2 given"

  • Upgrading to 4.2 generates the following errors on admin pages:

    Warning: _() expects exactly 1 parameter, 2 given in /home/comicmix/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 101
    
    Warning: _() expects exactly 1 parameter, 2 given in /home/comicmix/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 102
    
    Warning: _() expects exactly 1 parameter, 2 given in /home/comicmix/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 103
    
    Warning: _() expects exactly 1 parameter, 2 given in /home/comicmix/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 104
    
    Warning: _() expects exactly 1 parameter, 2 given in /home/comicmix/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 109
    
    Warning: _() expects exactly 1 parameter, 2 given in /home/comicmix/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 110
    
    Warning: _() expects exactly 1 parameter, 2 given in /home/comicmix/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 111
    
    Warning: _() expects exactly 1 parameter, 2 given in /home/comicmix/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 112

    Favicons still display properly on site. Deactivating and reactivating does not fix the problem.

    http://wordpress.org/extend/plugins/all-in-one-favicon/

Viewing 10 replies - 1 through 10 (of 10 total)
  • Yes, I will second that, i get the same error

    Same here.

    These are my errors: Warning: _() expects exactly 1 parameter, 2 given in /home/gadjade/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 101

    Warning: _() expects exactly 1 parameter, 2 given in /home/gadjade/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 102

    Warning: _() expects exactly 1 parameter, 2 given in /home/gadjade/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 103

    Warning: _() expects exactly 1 parameter, 2 given in /home/gadjade/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 104

    Warning: _() expects exactly 1 parameter, 2 given in /home/gadjade/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 109

    Warning: _() expects exactly 1 parameter, 2 given in /home/gadjade/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 110

    Warning: _() expects exactly 1 parameter, 2 given in /home/gadjade/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 111

    Warning: _() expects exactly 1 parameter, 2 given in /home/gadjade/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php on line 112

    Warning: Cannot modify header information – headers already sent by (output started at /home/gadjade/public_html/wp-content/plugins/all-in-one-favicon/all-in-one-favicon.php:101) in /home/gadjade/public_html/wp-content/plugins/wordpress-mobile-pack-bak/plugins/wpmp_switcher/wpmp_switcher.php on line 506

    I really don’t know the problem. This occurs after updating.

    Me too, exactly same issue as #hauman..

    I just update my all in one fav icon plugin too and had the same warnings, but its a simple fix and just a little mistake in the coding of that file.

    Simply head to the file in the warning and change the following lines of code from:

    'frontendICO' => _('ICO',AIOFAVICON_TEXTDOMAIN),
            'frontendGIF' => _('GIF',AIOFAVICON_TEXTDOMAIN),
            'frontendPNG' => _('PNG',AIOFAVICON_TEXTDOMAIN),
            'frontendApple' => _('Apple Touch Icon',AIOFAVICON_TEXTDOMAIN)
          );
    
          //mapping of favicon types to translatable Strings
          $this->aioFaviconBackendMap = array(
            'backendICO' => _('ICO',AIOFAVICON_TEXTDOMAIN),
            'backendGIF' => _('GIF',AIOFAVICON_TEXTDOMAIN),
            'backendPNG' => _('PNG',AIOFAVICON_TEXTDOMAIN),
            'backendApple' => _('Apple Touch Icon',AIOFAVICON_TEXTDOMAIN)

    Change to:

    'frontendICO' => __('ICO',AIOFAVICON_TEXTDOMAIN),
            'frontendGIF' => __('GIF',AIOFAVICON_TEXTDOMAIN),
            'frontendPNG' => __('PNG',AIOFAVICON_TEXTDOMAIN),
            'frontendApple' => __('Apple Touch Icon',AIOFAVICON_TEXTDOMAIN)
          );
    
          //mapping of favicon types to translatable Strings
          $this->aioFaviconBackendMap = array(
            'backendICO' => __('ICO',AIOFAVICON_TEXTDOMAIN),
            'backendGIF' => __('GIF',AIOFAVICON_TEXTDOMAIN),
            'backendPNG' => __('PNG',AIOFAVICON_TEXTDOMAIN),
            'backendApple' => __('Apple Touch Icon',AIOFAVICON_TEXTDOMAIN)

    All that I have done is added an extra _ to each line, which fixes the problem and will stop displaying the warnings 🙂

    Plugin Author techotronic

    @techotronic

    Hi,

    I just released 4.2.1 where this is fixed.
    Weird, I didn’t have any errormessages on my WordPress installation…

    Cheers,
    Arne

    Yes, 4.2.1 fixed that for me. Thanks, Arne!

    I was only seeing those messages on the admin side. The sites were fine.

    I was having the same problem, but it is fixed now. 🙂

    Dear Techotronic

    Thank you for the fix, it is working perfectly

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘[Resolved] 4.2 "Warning: _() expects exactly 1 parameter, 2 given"’ is closed to new replies.